summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2019-02-04 19:04:52 -0800
committerMatt Turner <mattst88@gentoo.org>2019-02-04 19:11:27 -0800
commitfaed93018e19a90fd8eb4ad5a6541b4d7bdc08e2 (patch)
treea3a75974c786f2cd3a4d15e4e19dc4366c92a33e
parentFix last commit package atom syntax (diff)
downloadgentoo-faed93018e19a90fd8eb4ad5a6541b4d7bdc08e2.tar.gz
gentoo-faed93018e19a90fd8eb4ad5a6541b4d7bdc08e2.tar.bz2
gentoo-faed93018e19a90fd8eb4ad5a6541b4d7bdc08e2.zip
dev-util/catalyst: Version bump to 3.0.4
Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--dev-util/catalyst/Manifest1
-rw-r--r--dev-util/catalyst/catalyst-3.0.4.ebuild68
-rw-r--r--dev-util/catalyst/catalyst-9999.ebuild8
3 files changed, 72 insertions, 5 deletions
diff --git a/dev-util/catalyst/Manifest b/dev-util/catalyst/Manifest
index 0f6d108c4e1..5c807b53198 100644
--- a/dev-util/catalyst/Manifest
+++ b/dev-util/catalyst/Manifest
@@ -2,3 +2,4 @@ DIST catalyst-2.0.18.tar.bz2 861398 BLAKE2B 70986d312410fb7abb5c8d7eacefa0f0150a
DIST catalyst-3.0.1.tar.bz2 877731 BLAKE2B 0c0b67b4be26737fa6d81011a8a63cfd7f2f41e49a81ecd45f3c901ef70d04e0a72295b12609df036dd9be09241c33dda8fa7a204ad074683b18685d027efe2a SHA512 be7c4d6fcf1f41087995a1a3621fb0250dce6d0a96101255c70832d5cf727a94e924d86092b33464fc5e284173704d33d5aa0d0d49dfcce7369befa5fc8de4e8
DIST catalyst-3.0.2.tar.bz2 878157 BLAKE2B 3711e89be416cd79e98b25fbc432375257749af96a1de6401749131a40c2f1f70975d0c449e1a116623c1aec4d3302670ac058fffd80c4f546fae0609d0c3b7f SHA512 02092b39c70095ab49db28c3289a5d3eb4f73cb3aeda79b3e707cbe2710761cf0060493da7d8a5098e1453320b65654bbe34dd37d5f07623fa90d52579869070
DIST catalyst-3.0.3.tar.bz2 878309 BLAKE2B 38cba740718a034c104d272aa24fa6964a8dd7fc77d5ccbb481308bb0a38c01d3f0d64e48c1708cab4a723b5a4e0f23727d1c2a0dd0ae4832810e09f76aa335c SHA512 26024dbea3afbc843563a0bf2cd68cc953818caccdf8a42c45ac1df25bd396064a604787807e2db847b4467e9a19df6b2f746eb178d99cbe79889070a2fc4b8a
+DIST catalyst-3.0.4.tar.bz2 873281 BLAKE2B 8177cee09402ccd02343766facbac3011b45165211a207e8e2c07d53a40091202c84e8294a58ed02a193cab3b3d704fafb50322719257a62092fe39b895d7771 SHA512 5fc5ee9faba6874d1b57fed47a9f92fab9adc03544938d1b1f1d6d867215a36f1efd391849b21300034d27be3207bcc28b4792b8c9c4caec72040d4d30741c2a
diff --git a/dev-util/catalyst/catalyst-3.0.4.ebuild b/dev-util/catalyst/catalyst-3.0.4.ebuild
new file mode 100644
index 00000000000..e8b8bb017df
--- /dev/null
+++ b/dev-util/catalyst/catalyst-3.0.4.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} == *9999* ]]; then
+ SRC_ECLASS="git-r3"
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/catalyst.git"
+ EGIT_BRANCH="master"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/catalyst.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+fi
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1 ${SRC_ECLASS}
+
+DESCRIPTION="Release metatool used for creating releases based on Gentoo Linux"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Catalyst"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="ccache doc kernel_linux system-bootloader"
+
+DEPEND="
+ app-text/asciidoc
+ >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+ >=dev-python/pydecomp-0.3[${PYTHON_USEDEP}]
+ app-arch/lbzip2
+ app-crypt/shash
+ sys-fs/dosfstools
+ !kernel_FreeBSD? ( || ( app-arch/tar[xattr] app-arch/libarchive[xattr] ) )
+ kernel_FreeBSD? ( app-arch/libarchive[xattr] )
+ virtual/cdrtools
+ amd64? ( >=sys-boot/syslinux-3.72 )
+ x86? ( >=sys-boot/syslinux-3.72 )
+ ccache? ( dev-util/ccache )
+ kernel_linux? ( app-misc/zisofs-tools >=sys-fs/squashfs-tools-2.1 )
+"
+PDEPEND="system-bootloader? ( >=sys-apps/memtest86+-5.01-r4
+ sys-boot/grub:2
+ amd64? ( sys-boot/grub[grub_platforms_efi-32,grub_platforms_efi-64] )
+ x86? ( sys-boot/grub[grub_platforms_efi-32] )
+ sys-boot/syslinux
+ sys-boot/shim )"
+
+python_prepare_all() {
+ python_setup
+ echo VERSION="${PV}" "${PYTHON}" setup.py set_version
+ VERSION="${PV}" "${PYTHON}" setup.py set_version || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # build the man pages and docs
+ emake
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use doc; then
+ dodoc files/HOWTO.html files/docbook-xsl.css
+ fi
+}
diff --git a/dev-util/catalyst/catalyst-9999.ebuild b/dev-util/catalyst/catalyst-9999.ebuild
index 1eeaf9d7e09..e8b8bb017df 100644
--- a/dev-util/catalyst/catalyst-9999.ebuild
+++ b/dev-util/catalyst/catalyst-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,10 +8,7 @@ if [[ ${PV} == *9999* ]]; then
EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/catalyst.git"
EGIT_BRANCH="master"
else
- SRC_URI="mirror://gentoo/${P}.tar.bz2
- https://dev.gentoo.org/~dolsen/releases/catalyst/${P}.tar.bz2
- https://dev.gentoo.org/~jmbsvicetto/distfiles/${P}.tar.bz2
- https://dev.gentoo.org/~zerochaos/distfiles/${P}.tar.bz2"
+ SRC_URI="https://gitweb.gentoo.org/proj/catalyst.git/snapshot/${P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
fi
@@ -31,6 +28,7 @@ DEPEND="
>=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
"
RDEPEND="
+ >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
>=dev-python/pydecomp-0.3[${PYTHON_USEDEP}]
app-arch/lbzip2
app-crypt/shash